package de.pheerai.buzzer

import de.pheerai.buzzer.routing.configureRoutes
import de.pheerai.buzzer.setup.setupPlugins
import io.ktor.server.application.*
import io.ktor.server.engine.*
import io.ktor.server.netty.*

fun main() {
    embeddedServer(Netty, port = 8888, host = "0.0.0.0", module = Application::myApplicationModule).start(wait = true)
}

fun Application.myApplicationModule() {
    setupPlugins()
    configureRoutes()
}
