package de.pheerai.buzzer.alpine

import kotlinx.html.*

open class TEMPLATE(
    initialAttributes: Map<String, String>,
    override val consumer: TagConsumer<*>,
) : HTMLTag("template", consumer, initialAttributes, null, false, false),
    HtmlBlockTag

@HtmlTagMarker
inline fun FlowContent.template(classes: String? = null, crossinline block: TEMPLATE.() -> Unit = {}): Unit = TEMPLATE(
    attributesMapOf("class", classes),
    consumer,
).visit(block)
